import { DeviceType } from '@ucap-webmessenger/core';
import { APIRequest, APIEncoder, ParameterUtil } from '@ucap-webmessenger/api';

export interface FileTalkDownloadRequest extends APIRequest {
  userSeq: string;
  deviceType: DeviceType;
  token: string;
  attachmentsSeq?: string;
}

const fileTalkDownloadEncodeMap = {};

export const encodeFileTalkDownload: APIEncoder<FileTalkDownloadRequest> = (
  req: FileTalkDownloadRequest
) => {
  return ParameterUtil.encode(fileTalkDownloadEncodeMap, req);
};
